Subject: [GIT PULL 2/2] Samsung fixes-2 for v4.0

From: [email-masked] (Kukjin Kim)
Date: Fri, 06 Mar 2015 18:43:03 +0900

Javier Martinez Canillas wrote:
> Hello Arnd,
Hi,

> On Thu, Mar 5, 2015 at 12:04 AM, Arnd Bergmann <[email-masked]> wrote:
> > On Wednesday 04 March 2015 21:04:40 Arnd Bergmann wrote:
> >> On Tuesday 03 March 2015 04:00:14 Kukjin Kim wrote:
> >> > Please pull Samsung tmu and hdmi regression fixes for v4.0 and I know
> >> > this is quite big for fixes but I couldn't handle this series for
> >> > previous merge window because of dependency with driver side...sorry for
> >> > that and please pull so that we could support them in v4.0 on exynos
> >> > platforms.
> >>
> >> What kind of dependency do you have there? It really should not be
> >> necessary to wait for driver changes, unless you do an incompatible
> >> DT binding change, which you should avoid.
> >>
> >> I've pulled it into fixes, but won't forward it until I hear a
> >> good explanation.
> >
> > Even with both fixes-1 and fixes-2 applied, we still get boot failures
> > on Exynos:
> >
> > http://arm-soc.lixom.net/bootlogs/arm-soc/v4.0-rc2-104-g2ee4716/
> >
> > Any idea what is going on?
> >
> 
> Yes, the problem is the Exynos DRM driver which has a lot of issues.
> It's broken if CONFIG_DRM_EXYNOS_IOMMU is enabled which defaults to
> yes after commit 8dcc14f82f06 ("drm/exynos: IOMMU support should not
> be selectable by user").
> 
> I posted a patch to disable IOMMU support on Exynos to avoid these
> boot failures and also mentioned to Kukjin that it should be a fix for
> 4.0 [0]. But even with IOMMU disabled, the Exynos DRM is broken in
> some boards [1] so we may have to disable that driver until everything
> gets sorted out and is stable again.
> 
Yes, the fix is in my tree and it will be sent to upstream via arm-soc soon.

Thanks,
Kukjin